Skip to main content
POST
/
data_entries
/
raw_data
/
staged
/
upload_urls
/
single
/
complete
/
curl -X POST "https://api.atomscale.ai/data_entries/raw_data/staged/upload_urls/single/complete/" \
  -H "X-API-KEY: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "new_filename": "staged_rheed_video.mp4"
  }'
{}
Finalizes a single-part staged upload after the file has been uploaded using the pre-signed URL. This is the single-part companion to the multi-part complete endpoint.
staging_type
string
default:"core"
Staging bucket type: core, instrument, or stream
new_filename
string
required
The server-assigned filename from the get upload URL response

Response

Returns an empty object on success.
curl -X POST "https://api.atomscale.ai/data_entries/raw_data/staged/upload_urls/single/complete/" \
  -H "X-API-KEY: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "new_filename": "staged_rheed_video.mp4"
  }'
{}